<?php

class AnwTemplateDefault_action_import extends AnwTemplateOverride_global
{
	function uploadForm($sLinkAction, $sInputNameFile, $sInputNamePrefix)
	{
		$HTML = <<<EOF

	<h1>{$this->t_('title')}</h1>
	<div class="explain">{$this->t_('upload_explain')}</div>
	<form action="$sLinkAction" method="post" enctype="multipart/form-data">
	
	<label for="importfile">{$this->t_('upload_file')}</label>
	<input type="file" name="$sInputNameFile" id="importfile"/><br/>
	
	<label for="importprefix">{$this->t_('upload_prefix')}</label>
	<input type="text" name="$sInputNamePrefix" value="" id="importprefix"/>
	<div class="importprefixtip">{$this->t_('upload_prefix_tip')}</div>
	
	<input type="submit" value="{$this->t_('upload_submit')}"/>
	</form>
EOF;
		return $HTML;
	}
	
	function beginSelection($sLinkAction, $sUploadedFileName, $sInputNameFile, $sExportTime, $sExportFrom, $sExportVersion)
	{
		$HTML = <<<EOF

	<h1>{$this->t_('title')}</h1>
	<div class="explain">{$this->t_('select_explain')}</div>
	
	<fieldset>
		<legend>{$this->t_('filedetails_t')}</legend>
		<p><label>{$this->t_('filedetails_time')}</label>$sExportTime</p>
		<p><label>{$this->t_('filedetails_from')}</label><a href="$sExportFrom">$sExportFrom</a></p>
		<p><label>{$this->t_('filedetails_version')}</label>$sExportVersion</p>
	</fieldset>
	
	<form action="$sLinkAction" method="post">
	<input type="hidden" name="$sInputNameFile" value="$sUploadedFileName"/>
	
	<a href="#" onclick="AnwUtils.chkall('chkimport',$('importpages')); return false;">{$this->g_('in_chkall')}</a> 
	<a href="#" onclick="AnwUtils.chknone('chkimport',$('importpages')); return false;">{$this->g_('in_chknone')}</a><br/>
	<input type="submit" value="$sSubmit"/>
	
	<ul id="importpages">
EOF;
		return $HTML;
	}
	
	function rowGroupOpen()
	{
		$HTML = <<<EOF

	<li style="margin:10px 0px">
		<ul>
EOF;
		return $HTML;
	}
	
	function rowGroupClose()
	{
		$HTML = <<<EOF

		</ul>
	</li>
EOF;
		return $HTML;
	}
	
	function rowTranslation($sChkName, $sOriginalPageName, $sPageName, $sPageLang, $nPageTime, $bImportDisabled, $asNotices)
	{
		$sDisabled = $bImportDisabled ? ' disabled="disabled"' : "";
		$sNotices = "";
		foreach ($asNotices as $sNotice)
		{
			$sNotices .= $this->drawNoticeIcon($sNotice).' ';
		}
				
		$sOriginalPageNameSafe = AnwUtils::escapeQuote($sOriginalPageName);
		$sPageNameSafe = AnwUtils::escapeQuote($sPageName);
		$sPageTime = Anwi18n::dateTime($nPageTime);
		$sImgFlag = Anwi18n::imgFlag($sPageLang);
		
		$sSrcFlag = Anwi18n::srcFlag($sPageLang);
		
		$HTML = <<<EOF

		<li>
			<input type="checkbox" name="{$sChkName}[]" class="chkimport" id="$sOriginalPageNameSafe" value="$sOriginalPageNameSafe"{$sDisabled}/> 
			<label for="$sOriginalPageNameSafe">$sImgFlag{$sOriginalPageNameSafe} ($sPageTime) $sNotices</label>
EOF;
		if (!$bImportDisabled)
		{
			$sSelectLang = $this->selectLang(null, $sPageLang);
			$HTML .= <<<EOF
		<input type="text" class="intext inpagename" style="background-image:url('$sSrcFlag')" name="importpages_{$sOriginalPageNameSafe}_name" value="$sPageNameSafe"/>
		<select class="languages" name="importpages_{$sOriginalPageNameSafe}_lang">$sSelectLang</select> 
EOF;
		}
		$HTML .= <<<EOF
		</li>
EOF;
		return $HTML;
	}
	
	function endSelection()
	{
		$sSubmit = $this->t_("select_submit");
		
		$HTML = <<<EOF

	</ul>
	</form>
EOF;
		return $HTML;
	}
	
	//------------
	
	function beginProcess()
	{
		$HTML = <<<EOF

	<h1>{$this->t_('title')}</h1>
	<div class="explain">{$this->t_('process_explain')}</div>
	<ul>
EOF;
		return $HTML;
	}
	
	function rowTranslationProcess_failed($sPageName, $sPageLang, $asNotices)
	{
		$sNotices = "";
		foreach ($asNotices as $sNotice)
		{
			$sNotices .= $this->drawNoticeIcon($sNotice).' ';
		}
		$sImgFlag = Anwi18n::imgFlag($sPageLang);
		
		$HTML = <<<EOF

		<li>$sImgFlag{$sPageName} : <span style="color:red">{$this->t_('process_fail')}</span> $sNotices</li>
EOF;
		return $HTML;
	}
	
	function rowTranslationProcess_success($sPageLink)
	{
		$HTML = <<<EOF

		<li>$sPageLink : <span style="color:green">{$this->t_('process_success')}</span></li>
EOF;
		return $HTML;
	}
	
	function rowTranslationProcess_skipped($sPageName, $sPageLang)
	{
		$sImgFlag = Anwi18n::imgFlag($sPageLang);
		$HTML = <<<EOF

		<li>$sImgFlag{$sPageName} : <span style="color:#CCC">{$this->t_('process_skipped')}</span></li>
EOF;
		return $HTML;
	}
	
	function endProcess()
	{
		$HTML = <<<EOF

	</ul>
EOF;
		return $HTML;
	}
}

?>